<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>Scalable div</title>
        <style>
            body { background-color: rgb(203, 233, 233); }
            #root-container { 
                background-color: rgb(66, 66, 66);
            }
        </style>
        <script src="https://cdn.rawgit.com/konvajs/konva/2.0.3/konva.min.js"></script>
        <script>
            function draw() {
                var stageWidth = 400;
                var stageHeight = 400;
                var stageScale = 1;

                var dimension = Math.min(window.innerWidth, window.innerHeight);
                
                if (dimension <= stageWidth+30) {
                    stageScale = dimension / (stageWidth+30);
                }
                if (dimension <= stageHeight+30) {
                    stageScale = dimension / (stageHeight+30);
                }

                var stage = new Konva.Stage({
                    container: 'root-container',
                    width: 400,
                    height: 400,
                    scaleX: stageScale,
                    scaleY: stageScale
                });

                var layer = new Konva.Layer();

                var rect = new Konva.Rect({
                    x: 0,
                    y: 0,
                    width: stage.getWidth(),
                    height: stage.getHeight(),
                    cornerRadius: 20,
                    fill: "red",
                    stroke: "black",
                    strokeWidth: 1
                });

                var text = new Konva.Text({
                    x: 15,
                    y: 15,
                    text: "Window width: " + window.innerWidth + "\nWindow height:" + window.innerHeight,
                    fontSize: 30,
                    fontFamily: "Calibri",
                    fill: "green"
                });

                layer.add(rect);
                layer.add(text);
                stage.add(layer);
            }
        </script>
    </head>
    <body>
        <div id="root-container"></div>
        <script>
            draw();
            window.addEventListener("resize", draw);
        </script>
    </body>
</html>